Package Details: palemoon 28.6.0.1-1

Git Clone URL: https://aur.archlinux.org/palemoon.git (read-only)
Package Base: palemoon
Description: Open source web browser based on Firefox focusing on efficiency.
Upstream URL: https://www.palemoon.org/
Keywords: browser goanna web
Licenses: GPL, MPL, LGPL
Submitter: artiom
Maintainer: WorMzy
Last Packager: WorMzy
Votes: 121
Popularity: 1.664321
First Submitted: 2014-06-05 10:54
Last Updated: 2019-07-04 22:45

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 ... Next › Last »

lefsha commented on 2018-08-26 09:20

https://nas.epistromo.com/s/KrHrDPRDwdCTHcJ

WorMzy commented on 2018-08-25 10:12

Upload the entire build log to a pastebin and post it here?

lefsha commented on 2018-08-25 09:54

Received exact the same error in the clean chroot environment made with help of devtools and extra-x86_64-build. Again the previous version works well either way. Something has been broken inbeetween for sure.

WorMzy commented on 2018-08-19 11:49

Builds fine in a clean chroot, and there isn't enough information in your comment to diagnose the problem. All I can suggest is to use the default C{,XX}FLAGS. Of course, building in a clean-chroot is definitely preferable.

https://wiki.archlinux.org/index.php/DeveloperWiki:Building_in_a_Clean_Chroot

lefsha commented on 2018-08-18 20:29

Since last update unable to compile palemoon 28.0.0-2 anymore even with empty CFLAGS.

27:12.97 make[3]: [/tmp/yaourt-tmp-root/aur-palemoon/src/UXP/config/recurse.mk:33: compile] Error 2 27:12.97 make[2]: [/tmp/yaourt-tmp-root/aur-palemoon/src/UXP/config/rules.mk:503: default] Error 2 27:12.97 make[1]: [/tmp/yaourt-tmp-root/aur-palemoon/src/UXP/client.mk:414: realbuild] Error 2 27:12.97 make: [client.mk:170: build] Error 2

WorMzy commented on 2018-08-17 21:07

Thanks for the heads up. Checking the palemoon "building for source" dev page [1] simply says that gcc 4.9 is the minimum required version, so I guess they've actually brought their code up-to-snuff for the latest compilers. I've tested that it builds, launches, and seems to work fine, but I don't use palemoon these days, so there may be stability issues when building with gcc 8 that I'm not hitting in my testing. Please let me know if you have stability issues (preferably before you inform upstream and they chuck all their toys out of their pram because someone dared to use a modern compiler...)

[1] http://developer.palemoon.org/Developer_Guide:Build_Instructions/Pale_Moon/Linux

lefsha commented on 2018-08-17 19:53

Have successfully built palemoon 28.0.0-1 with core/gcc 8.2.0-2 (base-devel) [installed] CFLAGS="-march=native -mtune=native -O3 -pipe -fstack-protector-strong -fno-plt" LDFLAGS="-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now" MAKEFLAGS="-j1" banned from Arch Forum, can't report there. Pls, consider to remove GCC5 dependency and may be report to upstream.

WorMzy commented on 2018-05-04 18:43

Hah, it's been in community/ before. I'm surprised to see it back now that it's EOL though. Looks like it's needed by cuda for now..

7314776 commented on 2018-05-04 18:38

Grats gentlemen! gcc5 has now been pushed to community repo, so no need to have sexual relations with build trying to get it into your system, just install.

<hr>

Мои поздравления! gcc5 теперь собирается в репозитории community, поэтому можно не ипаццо с его сборкой, а просто установить оттуда.

haawda commented on 2018-03-11 20:59

I was able to compile palemoon 27.8.1 with gcc4.9 (built using the AUR PKGBUILD) and this patch:

http://dpaste.com/3V76NDX